﻿// ConsoleApplication1.cpp : Этот файл содержит функцию "main". Здесь начинается и заканчивается выполнение программы.
//

#include <iostream>
#include <vector>
#include <set>
using namespace std;
typedef long long ll;

int main()
{
    ll L, R;
    cin >> L >> R;
    ll n;
    cin >> n;
    vector<ll> d(n, 0);
    for (ll& el : d) {
        cin >> el;
    }

    vector <ll> prefsum(n + 1, 0);
    for (int i = 1; i < prefsum.size(); i++) {
        prefsum[i] = prefsum[i - 1] + d[i - 1];
    }

    for (int j = 1; j < prefsum.size(); j++) {
        for (int i = 0; i < j; i++) {
            if (prefsum[j] - prefsum[i] >= L && prefsum[j] - prefsum[i] <= R) {
                cout << prefsum[i] << ' ' << prefsum[j] << '\n';
                return 0;
            }
        }
    }

    cout << "-1 -1\n";
    return 0;
}
