#include <bits/stdc++.h>
#define all(x) (x).begin(), (x).end()

using namespace std;
using ll = long long;
ll find_s(ll f, ll L, ll R, vector <ll> &x) {
    ll l = -1, r = f;
    while (r - l > 1) {
        ll m = (r + l) / 2;
        ll dist = (x[f] - x[m]);
        if (dist < L) {
            r = m;
        } else if (dist > R) {
            l = m;
        } else {
            r = m;
        }
    }
    if (x[f] - x[r] >= L && x[f] - x[r] <= R) {
        return r;
    }
    return -1;
}
signed main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(); cout.tie();
    ll L, R;
    cin >> L >> R;
    ll n;
    cin >> n;
    vector <ll> d(n + 1);
    vector <ll> x(n + 1);
    d[0] = 0;
    x[0] = 0;
    for (ll i = 0; i < n; i++) {
        cin >> d[i + 1];
        x[i + 1] = x[i] + d[i + 1];
    }
    ll ans_s = -1, ans_f = -1;
    for (ll f = 0; f <= n; f++) {
        if (x[f] >= L) {
            if (find_s(f, L, R, x) != -1) {
                ans_s = find_s(f, L, R, x);
                ans_f = f;
                break;
            }
        }
    }
    if (ans_s == -1) {
        cout << -1 << " " << -1;
    } else {
        cout << x[ans_s] << " " << x[ans_f];
    }
    return 0;
}
