#include <iostream>
#include <cmath>
#include <algorithm>
#include <vector>

using namespace std;

typedef long long ll;

vector<bool> isNotSimple(71, false);

void f(int n, int l, vector<int>& ans, int s) {
	if (s == n) {
		for (int i = ans.size() - 1; i > 0; i--) {
			cout << ans[i] << "+";
		}
		cout << ans[0] << "\n";
		return;
	}
	if (s > n) {
		return;
	}

	for (int i = l; i >= 1; i--) {
		if (isNotSimple[i]) {
			ans.push_back(i);
			f(n, i, ans, s + i);
			ans.pop_back();
		}
	}

	return;
}

int main() {

	isNotSimple[1] = true;
	for (int i = 2; i < 71; i++) {
		for (int j = 2; j * j <= i; j++) {
			isNotSimple[i] = isNotSimple[i] || (i % j == 0);
		}
	}

	int n;
	cin >> n;

	vector<int> ans;
	f(n, n - 1, ans, 0);

	return 0;
}
