#include <iostream>
#include <vector>

void split(std::vector<long long>& v, long long k, int l)
{
    if(k > 0)
    {
        int a = v[0] / 2 + v[0] % 2;
        int b = v[0] / 2;
        bool inserted = false;
        for(int i = 0; i < l - 1; i++)
        {
            if(v[i + 1] >= a)
                v[i] = v[i + 1];
            else
            {
                v[i] = a;
                v.push_back(b);
                l++;
                for(int j = l - 1; j > i; j--)
                {
                    v[j] = v[j - 1];
                }
                v[i + 1] = b;
                inserted = true;
                break;
            }
        }
        if(!inserted)
        {
            v[l - 1] = a;
            v.push_back(b);
        }
        split(v, k - 1, l);
    }
}

int main()
{
    long long n;
    long long k;
    int q;
    std::cin >> n >> k >> q;
    int A[q];
    for(int i = 0; i < q; i++)
        std::cin >> A[i];

    std::vector<long long> L;
    L.push_back(n);

    split(L, k, 1);

    for(int i = 0; i < q; i++)
    {
        std::cout << L[A[q]] << " ";
    }

    return 0;
}