#define _USE_MATH_DEFINES

#include <iostream>
#include <algorithm>
#include <vector>

using namespace std;

#define endl "\n";

template<typename T>
istream& operator>>(istream& in, vector<T>& arr_) {
	for (auto &i_ : arr_) {
		in >> i_;
	}
	return in;
}
template<typename T>
ostream& operator<<(ostream& out, vector<T>& arr_) {
	for (auto& i_ : arr_) {
		out << i_;
	}
	return out;
}


using ll = long long;
using ull = unsigned long long;
using pii = pair<int, int>;
using pll = pair<ll, ll>;
using str = string;

#define fast cin.tie(0); cout.tie(0); cin.sync_with_stdio(0); cout.sync_with_stdio(0)
#define p_b push_back()
#define all(x) (x).begin(), (x).end()
#define rall(x) (x).rbegin(), (x).rend()
#define int ll

signed main() {
	fast;

	int n, l;
	cin >> n >> l;

	vector<vector<char>> ans(n, vector<char>(n, '.'));
	for (int i = (n - l) / 2; i < (n - l) / 2 + l; i++) {
		for (int j = 0; j < n; j++) {
			ans[i][j] = '*';
		}
	}
	for (int j = (n - l) / 2; j < (n - l) / 2 + l; j++) {
		for (int i = 0; i < n; i++) {
			ans[i][j] = '*';
		}
	}
	
	for (auto& i : ans) {
		cout << i << endl;
	}
}