#define _USE_MATH_DEFINES

#include <iostream>
#include <algorithm>
#include <vector>
#include <set>

using namespace std;

#define endl "\n";

template<typename T>
istream& operator>>(istream& in, vector<T>& arr_) {
    for (auto& i_ : arr_) {
        in >> i_;
    }
    return in;
}
template<typename T>
ostream& operator<<(ostream& out, vector<T>& arr_) {
    for (auto& i_ : arr_) {
        out << i_ << " ";
    }
    return out;
}


using ll = long long;
using ull = unsigned long long;
using pii = pair<int, int>;
using pll = pair<ll, ll>;
using str = string;

#define fast cin.tie(0); cout.tie(0); cin.sync_with_stdio(0); cout.sync_with_stdio(0)
#define p_b push_back
#define all(x) (x).begin(), (x).end()
#define rall(x) (x).rbegin(), (x).rend()
#define int ll


signed main() {
    fast;

    ll n, k;
    int q;
    cin >> n >> k >> q;

    multiset<ll> s = {n};
    for (int i = 0; i < k; i++) {
        auto it = s.end();
        it--;
        int x = *it;
        s.erase(it);
        if (x % 2 == 0) {
            s.insert(x / 2);
            s.insert(x / 2);
        }
        else {
            s.insert(x / 2);
            s.insert(x / 2 + 1);
        }
    }

    vector<ll> a;
    for (auto& i : s) {
        a.p_b(i);
    }
    reverse(all(a));

    for (int i = 0; i < q; i++) {
        int ind;
        cin >> ind;
        ind--;
        cout << a[ind] << " ";
    }
}