#include <iostream>
#include <vector>

using namespace std;

vector <int> ans;

bool check(int x) {
    if (x == 1) {
        return true;
    }
    for (int i = 2; i * i <= x; i++) {
        if (x % i == 0) {
            return true;
        }
    }
    return false;
}

void printfragm(int n) {
    //cout << n << endl;
    if (n == 0) {
        for (int i = 0; i < ans.size(); i++) {
            if (i + 1 == ans.size()) {
                cout << ans[i] << "\n";
            } else {
                cout << ans[i] << "+";
            }
        }
        return ;
    }

    for (int i = 1; i <= n; i++) {
        if (check(i) && (ans.empty() ? true : (i >= ans.back()))) {
            ans.push_back(i);
            printfragm(n - i);
            ans.pop_back();
        }
    }
}

int main()
{
    int n;
    cin >> n;

    //cout << n << endl;
    printfragm(n);

    return 0;
}
