def is_prime(n):
    if n < 2:
        return True
    for i in range(2, int(n**0.5) + 1):
        if n % i == 0:
            return True
    return False

def prime_partitions(n, I=1):

    if n == 0:
        yield ()
    for i in range(I, n+1):
        if is_prime(i):
            for p in prime_partitions(n-i, i):
                yield (i,) + p
asd=int(input())
for partition in prime_partitions(asd):
    if partition!=(asd,):
        print('+'.join(map(str, partition)))
