#include <iostream>
#include <algorithm>
#include <vector>

typedef long long ll;

#define en '\n';

#define for0(i, n) for (int i = 0; i < n; i++)

using namespace std;

int main() {

    ll L, R;
    int n;
    cin >> L >> R >> n;
    vector<ll> d;
    ll curr = 0;
    d.push_back(curr);
    for0(i, n) {
        ll x;
        cin >> x;
        curr += x;
        d.push_back(curr);
    }

    ll s = -1, t = -1;

//    for0(i, n) cout << d[i] << " ";
//    cout << en;

    for0(i, d.size()) {
        ll l = i, r = d.size();
        while (l + 1 < r) {
            ll mid = (l + r) / 2;
            ll dist = d[mid] - d[i];
//            cout << i << " " << mid << " " << dist << en;
            if (dist < L) l = mid + 1;
            else if (dist > R) r = mid - 1;
            else if (t == -1 || d[mid] < t || (d[mid] == t && d[i] < s)) {
//                cout << "best " << i << "-" << mid << "; " << dist << en;
                s = d[i];
                t = d[mid];
                r = mid - 1;
            }
        }
    }

    cout << s << " " << t << en;
    return 0;
}