n=int(input())
def decomp_limited(n, limit):
    if n == 0:
        return [[]]
    
    res = []
    for i in range(1, min(n, limit) + 1):
        sub_decomps = decomp_limited(n - i, i)
        for decomp in sub_decomps:
            decomp.insert(0, i)
        res += sub_decomps
    return res

def decomp(n):
    return decomp_limited(n, n)

def print_decomps(n):
    decomps = decomp(n)
    print(n)
    for dec in decomps:
        print("= ", end="")
        print(*dec, sep=" + ")

if __name__ == "__main__":
    print_decomps(n)
    