﻿// vs001.cpp : Этот файл содержит функцию "main". Здесь начинается и заканчивается выполнение программы.
//
#include <iostream>
#include <cmath>
#include <algorithm>
#include <vector>

#pragma GCC optimize("03,unroll-loop")

typedef long long ll;

using namespace std;

#define min(a, b) (a < b ? a : b)
#define max(a, b) (a > b ? a : b)

int main()
{
    ll L, R, n;
    cin >> L >> R >> n;
    vector<ll> d(n), dist(n + 1);
    dist[0] = 0;

    for (ll i = 0; i < n; i++) {
        cin >> d[i];
        dist[i + 1] = d[i] + dist[i];
    }

    ll s = -1, t = -1;

    ll inds = 0, indt = 0;

    for (indt = 0; indt < n; indt++) {
        if (dist[indt] > L) break;
    }
    ll len = dist[indt] - dist[inds];

    while (indt <= n) {
        len = dist[indt] - dist[inds];
        if (len <= R && len >= L) {
            cout << dist[inds] << " " << dist[indt];
            return 0;
        }
        if (len > R) indt--;
        if (len < L) {
            inds++;
            for (indt = inds + 1; indt < n; indt++) {
                if (dist[indt] - dist[inds] > L) break;
            }
        }

    }

    cout << -1 << " " << -1;
    return 0;
}