package main;

import java.util.*;

public class Task1 {
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        long n = scanner.nextLong();
        long k = scanner.nextLong();
        int q = scanner.nextInt();


        PriorityQueue<Long> pq = new PriorityQueue<>(Comparator.reverseOrder());

        pq.add(n);

        process(pq, k);

        List<Long> list = new ArrayList<>(pq);
        list.sort(Comparator.reverseOrder());


        for (int i = 0; i < q; i++) {
            int t = scanner.nextInt();
            System.out.println(list.get(t - 1));
        }
    }




    private static void process(PriorityQueue<Long> set, long n){
        for (int i = 0; i < n; i++) {
            Long l = set.remove();
            set.add(l/2);
            set.add(l/2 + (l % 2 == 0 ? 0 : 1));
        }
    }

}
