package main;

import java.util.*;

public class Task1 {
    public static void main(String[] args) {



        Scanner scanner = new Scanner(System.in);
        long n = scanner.nextLong();
        long k = scanner.nextLong();
        int q = scanner.nextInt();


        List<Long> pq = new ArrayList<>();

        pq.add(n);

        process(pq, k);




        for (int i = 0; i < q; i++) {
            int t = scanner.nextInt();
            System.out.println(pq.get(t - 1));
        }

    }




    private static void process(List<Long> set, long n){
        for (int i = 0; i < n; i++) {
            Long l = set.remove(0);

            binaryInsert(set,l/2);
            binaryInsert(set,l/2 + (l % 2 == 0 ? 0 : 1));
        }
    }
    private static void binaryInsert(List<Long> list, long n){
        if(list.isEmpty()){
            list.add(n);
            return;
        }
        binaryInsert(list, n, 0, list.size());
    }

    private static void binaryInsert(List<Long> list, long n, int start, int end){
        int mid = (end + start)/2;

        if(start == end || mid == start){
            if(mid == 0 && list.get(0) < n){
                list.add(mid, n);
            }else {
                list.add(mid + 1, n);
            }
            return;
        }





        if(list.get(mid) < n){
            end = mid;
        }else{
            start = mid;
        }
        binaryInsert(list, n, start,end);
    }

}
