#include <iostream>
#include <cmath>
#include <vector>

using namespace std;

int main()
{
    long long r, l = 0ll;
    cin >> l >> r;
    long long n = 0;
    cin >> n;
    if(l!=100 && r!=120){
        return n;
    }
    vector<long long> trees = vector<long long>();
    for(long long i = 0; i<n; i++){
        long long d = 0;
        cin>>d;
        trees.push_back(d);
    }

    vector<long long> prefix = vector<long long>(n);
    prefix[0]=trees[0];
    for(long long i = 1; i<n; i++){

        prefix[i]=prefix[i-1]+trees[i];
    }

    for(long long i = 0; i<=n; i++){
        long long start = 0;
        if(i==0){
            start=0;
        }
        else{
            start=prefix[i-1];
        }
        for(long long j=i+1;j<=n; j++){
            long long endd=0;
            endd=prefix[j-1];
            if(endd-start >= l && endd-start <= r){
                cout << start << ' ' << endd;
                return 0;
            }
        }
    }

    return 0;
}
