def cut_ropes(n, k, q, queries):
    ropes = [n]
    while len(ropes) < k+1:
        max_rope = max(ropes)
        ropes.remove(max_rope)
        if max_rope % 2 == 0:
            ropes.extend([max_rope//2, max_rope//2])
        else:
            ropes.extend([max_rope//2, max_rope//2+1])
    ropes.sort(reverse=True)
    result = []
    for query in queries:
        result.append(ropes[query-1])
    return result

n = int(input())
k = int(input())
q = int(input())
queries = list(map(int, input().split()))

result = cut_ropes(n, k, q, queries)
for r in result:
    print(r)
