def count_nontrivial_factorizations(n):
    # Функция для нахождения простых множителей числа с учетом степеней
    def prime_factors_with_powers(num):
        factors = {}
        divisor = 2
        while divisor * divisor <= num:
            while (num % divisor) == 0:
                factors[divisor] = factors.get(divisor, 0) + 1
                num //= divisor
            divisor += 1
        if num > 1:
            factors[num] = factors.get(num, 0) + 1
        return factors

    # Находим простые множители числа n с учетом степеней
    prime_factors_n = prime_factors_with_powers(n)

    print(prime_factors_n)
    # Используем формулу комбинаторики для нахождения количества нетривиальных разложений
    result = 1
    for count in prime_factors_n.values():
        result *= count + 1

    return result - 1  # Исправляем вычитание

# Считываем входные данные
n = int(input().strip())

# Вызываем функцию и выводим результат
print(count_nontrivial_factorizations(n))
