#include <iostream>
#include <algorithm>

using namespace std;

bool cmp(int a, int b) {
    return a > b;
}

int main() {
    long long n, k, q, temp;
    cin >> n >> k >> q;
    long long t[q];
    for (long long i = 0; i < q; i++) cin >> t[i];

    long long rope[k+1];
    for (int i = 1; i < k+1; i++) rope[i] = 0;
    rope[0] = n;

    for (int i = 1; i < k+1; i++) {
        int maxIndex = 0;
        for (int j = 1; j < i; j++)
            if (rope[maxIndex] < rope[j]) maxIndex = j;
        temp = rope[maxIndex];
        rope[maxIndex] = temp/2;
        rope[i] = temp - temp/2;
    }
    sort(rope, rope+k+1, cmp);

    for (int i = 0; i < q; i++) cout << rope[t[i]-1] << ' ';

    return 0;
}
