def is_prime(num):
    if num < 2:
        return False
    for i in range(2, num):
        if num % i == 0:
            return False
    return True

def non_prime_partitions(n, start=1, path=[]):
    if n == 0:
        print('+'.join(map(str, path)))
        return
    for i in range(start, n + 1):
        if not is_prime(i):
            non_prime_partitions(n - i, i, path + [i])

n = int(input())
non_prime_partitions(n)
