#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>

using namespace std;


int main() {
    //freopen("input.txt", "r", stdin);
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    long long L, R;
    int n;
    vector<int> d;
    vector<int> x;

    cin >> L >> R >> n;
    for (int i = 0; i < n; ++i){
        int x;
        cin >> x;
        d.push_back(x);
    }

    x.push_back(0);
    x.push_back(d[0]);
    for (int i = 1; i < n; ++i){
        x.push_back(d[i] + x[i]);
    }
    int l = 0, r = 1;
    n ++;
    while (l < r && r < n && (x[r] - x[l] > R || x[r] - x[l] < L)){
        if (x[r] - x[l] < L){
            r ++;
        }
        else if (x[r] - x[l] > R){
            l ++;
        }
    }
    int s = 0, t = 0;
    if (x[r] - x[l] > R || x[r] - x[l] < L){
        s = -1, t = -1;
    } else {
        s = x[l], t = x[r];
    }
    cout << s << " " << t;
    return 0;
}
