def is_prime(number):
    if number < 2:
        return False
    for i in range(2, int(number**0.5)+1):
        if number % i == 0:
            return False
    return True

def find_compositions(n, composition, start):
    if n == 0:
        if len(composition) > 1:
            string = ''
            for el in composition:
                string += str(el)
                string += '+'
            print(string[:-1])
        return
    for i in range(start, n+1):
        if not is_prime(i):
            find_compositions(n-i, composition+[i], i)

n = int(input("Введите число n: "))
find_compositions(n, [], 1)
