#include <iostream>
#include <cmath>
#include <vector>
#include <algorithm>

typedef unsigned long long ull;

int main( void )
{
  ull l, r;
  int n;
  std::cin >> l >> r;
  std::cin >> n;
  std::vector<int> d;
  d.resize(n);

  for (int i = 0; i < n; i++)
    std::cin >> d[i];

  int sum1 = 0, sum2 = -1;

  for (int i = 0; i < d.size(); i++)
  {
    if (i > 0)
      sum1 += d[i - 1];

    ull sum = 0;
    int m;
    for (m = i; sum < l && m < d.size(); m++)
    {
      sum += d[m];
    }

    if (sum < l)
      break;
    else if (sum <= r && sum >= l)
    {
      sum2 = sum1 + sum;
      break;
    }
  }

  if (sum2 == -1)
    std::cout << -1 << " " << -1;
  else
    std::cout << sum1 << " " << sum2;

  return 0;
}