// Koptelov Nikita, 10-1, 04.12.2023

#include <iostream>

#include <vector>
#include <algorithm>

inline bool Check( int64_t x, int64_t l, int64_t r)
{
  if (l <= x && x <= r)
    return true;
  return false;
}

int main( void )
{
  int64_t l, r;
  std::cin >> l >> r;

  int n;
  std::cin >> n;

  std::vector<int64_t> dist;
  dist.resize(n + 1);

  dist[0] = 0;
  std::cin >> dist[1];

  for (int i = 2; i < n + 1; i++)
  {
    std::cin >> dist[i];
    dist[i] += dist[i - 1];
  }

  int pos = 0;

  int min_f;

  for (int i = 0; i < n + 1; i++)
    if (dist[i] > r)
    {
      min_f = i;
      break;
    }

  for (int i = 0; i < n + 1; i++)
    for (int j = std::max(min_f, i + 1); j < n + 1; j++)
    {
      int64_t sub = dist[j] - dist[i];

      if (Check(sub, l, r))
      {
        std::cout << dist[i] << " " << dist[j];
        return 0;
      }
    }
  std::cout << "-1 -1";

  // 100 120
  // 7
  // 45 45 45 35 30 35 45
}