import java.util.*;
import java.io.*;

public class Main {
	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);
		PrintWriter pw = new PrintWriter(System.out);
		
		
		long L = sc.nextLong();
		long R = sc.nextLong();
		int n = sc.nextInt();
		
		int sum = 0;
		
		int[] dp = new int[n+1];
		dp[0] = 0;
		
		for(int i = 0;i < n;i++) {
			int num = sc.nextInt();
			sum += num;
			dp[i+1] = sum;
		}
		
		for(int i = 0;i < n;i++) {
			int b = bs(L+dp[i],R+dp[i],dp);
			if(b != -1) {
				pw.println(dp[i]);
				pw.println(dp[b]);
				pw.close();
				return;
			}
		}
		pw.println(-1);
		pw.println(-1);
		pw.close();
	}
	
	public static int bs(long l,long r, int[] arr) {
		if(arr[arr.length-1]  < l) return -1;
		int left = 0;
		int right = arr.length-1;
		boolean was = false;
		while(left <= right) {
			int mid = (left+right)/2;
			
			if(arr[mid] < l) {
				left = mid+1;
			}
			else if(arr[mid] > r) {
				right = mid-1;
			}
			else {
				was = true;
				right = mid-1;
			}
		}
		if(!was) return -1;
		return right+1;
	}
}