import java.util.*;
import java.io.*;
 
public class Main {
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        PrintWriter pw = new PrintWriter(System.out);
         
         
        long L = sc.nextLong();
        long R = sc.nextLong();
        int n = sc.nextInt();
         
        int sum = 0;
         
        int[] dp = new int[n+1];
        dp[0] = 0;
         
        for(int i = 0;i < n;i++) {
            int num = sc.nextInt();
            sum += num;
            dp[i+1] = sum;
        }
        int[] ans = new int[] {Integer.MAX_VALUE,Integer.MAX_VALUE};
        for(int i = 0;i < n;i++) {
            ArrayList<Integer> b = bs(L+dp[i],R+dp[i],dp);
            if(b.size() == 0) continue;
            else {
            	Collections.sort(b);
            	if(dp[b.get(0)] < ans[1]) {
            		ans[0] = dp[i];
            		ans[1] = dp[b.get(0)];
            	}
            }
        }
        if(ans[0] == Integer.MAX_VALUE) {
        	pw.println(-1);
        	pw.println(-1);
        }
        else {
        	pw.println(ans[0]);
        	pw.println(ans[1]);
        }
        pw.close();
    }
     
    public static ArrayList<Integer> bs(long l,long r, int[] arr) {
    	ArrayList<Integer> list = new ArrayList<>();
        if(arr[arr.length-1]  < l) return list;
        int left = 0;
        int right = arr.length-1;
        while(left <= right) {
            int mid = (left+right)/2;
             
            if(arr[mid] < l) {
                left = mid+1;
            }
            else if(arr[mid] > r) {
                right = mid-1;
            }
            else {
                list.add(mid);
                right = mid-1;
            }
        }
         
        return list;
    }
}