def is_prime(num):
    if num < 2:
        return False
    for i in range(2, int(num**0.5) + 1):
        if num % i == 0:
            return False
        else:
            return True
               
def get_non_prime_partitions(n):
        def partition(n, I=1):
            if n == 0:
                yield []
            for i in range(I, n + 1):
                if not is_prime(i):
                    for p in partition(n - i, i):
                        yield [i] + p

        for p in partition(n):
            if len(p) > 1:
                print('+'.join(map(str, p)))

n = int(input())
get_non_prime_partitions(n)