#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>

using namespace std;

int gcd(int a, int b);
vector<int> getPrimes(int n);

struct Var1
{
    int a1;
    int an;
};

int main()
{

    long long l, r;
    cin >> l >> r;
    int n;
    cin >> n;

    int d[300100];
    for(int i = 0; i < n; ++i)
    {
        cin >> d[i];
    }

    //int first = d[0], last = 0;
    long long curDist = 0, lastEl = 0;
    vector<Var1>vars;
    for(int i = 0; i <= n ; ++i)
    {
        if (curDist >= l && curDist <= r)
        {
            vars.push_back({lastEl, i - 1});

            curDist += d[i];

        }
        else if(curDist < l)
        {
            curDist += d[i];
        }
        else if(curDist > r)
        {
            curDist -= d[lastEl];
            lastEl++;
            i--;
        }
    }
    //for (int i = 0; i < vars.size(); ++i)
     //   cout << vars[i].a1 << ' '<< vars[i].an << endl;

    int minAn = 300100, minA1 = 300100, quant = 0, answV = 0, answV2 = 0;
    for(int i = 0; i < vars.size(); ++i)
    {
        if(vars[i].an < minAn)
        {
            minAn = vars[i].an;
            answV = i;
            quant++;
        }
        if(vars[i].a1 < minA1)
        {
            minA1 = vars[i].a1;
            answV2 = i;
        }
    }
    int s = 0, t = 0;
    if(quant > 1)
    {
        for(int i = 0; i < vars[answV2].a1 ;++i)
        s += d[i];
    }
    else
    {
        for(int i = 0; i < vars[answV].a1 ;++i)
        s += d[i];
    }
    t = s;

    if(quant > 1)
    {
        for(int i = vars[answV2].a1; i <= vars[answV2].an ;++i)
        t += d[i];
    }
    else
    {
        for(int i = vars[answV].a1; i <= vars[answV].an ;++i)
        t += d[i];
    }
    cout << s << ' ' << t;
    return 0;
}
int gcd(int a, int b)
{
    while (a != 0 && b != 0)
        if (a > b)
            a = a % b;
        else
            b = b % a;
    return a + b;
}
vector<int> getPrimes(int n)
{
    vector<int> primes(n);

    for(int i = 0; i <= n; ++i)
        primes[i] = i;
    primes[1] = 0;

    for (int i = 2; i * i <= n; ++i)
    {
        if(primes[i])
            for(int j = i * i; j <= n; j += i)
                primes[j] = 0;
    }
    return primes;
}
