#include <iostream>
#include <vector>
#include <climits>

using namespace std;

int main() {
    long long L, R;
    cin >> L >> R;

    int n;
    cin >> n;

    vector<long long> d(n);
    for (int i = 0; i < n; ++i) {
        cin >> d[i];
    }

    long long start = 0, finish = 0;
    long long currentStart = 0, currentFinish = 0;
    long long currentLength = 0;
    long long minLength = LLONG_MAX;

    //  ,    
    for (int i = 0; i < n; ++i) {
        currentLength = 0;
        for (int j = i; j < n; ++j) {
            if (currentLength + d[j] > R) {
                break;
            }

            currentLength += d[j];
            currentFinish = currentStart + currentLength;

            if (currentLength >= L && currentLength <= R && (currentLength < minLength || (currentLength == minLength && currentStart < start))) {
                minLength = currentLength;
                start = currentStart;
                finish = currentFinish;
            }

            if (currentFinish >= R) {
                break;
            }
        }
    }

    //  ,    
    for (int i = 0; i < n; ++i) {
        currentStart = 0;
        currentLength = 0;

        for (int j = i; j < n; ++j) {
            if (currentLength + d[j] > R) {
                break;
            }

            currentLength += d[j];
            currentFinish = currentStart + currentLength;

            if (currentLength >= L && currentLength <= R && (currentLength < minLength || (currentLength == minLength && currentStart < start))) {
                minLength = currentLength;
                start = currentStart;
                finish = currentFinish;
            }

            if (currentFinish >= R) {
                break;
            }

            currentStart += d[j];
        }
    }

    cout << start << " " << finish << endl;

    return 0;
}
