def draw_intersection(n, l):
    intersection = []
    road_width = (n - l) // 2

    for row in range(n):
        line = ['.'] * n

        # Рисуем вертикальную дорогу
        if road_width <= row < n - road_width:
            for i in range(l):
                line[(n - l) // 2 + i] = '*'

        # Рисуем горизонтальную дорогу
        if road_width <= row < n - road_width:
            for i in range(l):
                line[row] = '*'

        intersection.append("".join(line))

    return "\n".join(intersection)

# Считываем значения n и l
n = int(input())
l = int(input())

# Создаем изображение перекрестка
intersection = draw_intersection(n, l)

# Выводим результат
print(intersection)
