def draw_intersection(n, l):
    intersection = [["." for _ in range(n)] for _ in range(n)]
    road_start = (n - l) // 2
    road_end = road_start + l
    for i in range(road_start, road_end):
        intersection[i] = ["*" for _ in range(n)]
    for row in intersection:
        for i in range(road_start, road_end):
            row[i] = "*"
    intersection = [" ".join(row) for row in intersection]
    return "\n".join(intersection)
n = int(input())
l = int(input())
intersection = draw_intersection(n, l)
print(intersection)
