﻿#include <iostream>
#include <vector>

bool bin_search(std::vector<int> &v, long long l, long long r) {
    int a = 0, b = v.size() - 1;
    while (a < b) {
        int mid = (a + b) / 2;
        if (v[mid] > l && v[mid] < r) return true;
        if (v[mid] < l) {
            a = mid + 1;
            continue;
        }
        if (v[mid] > r) {
            b = mid - 1;
            continue;
        }
        return false;
    }
}

int main()
{
    long long l, r;
    std::cin >> l >> r;
    int n;
    std::cin >> n;
    std::vector<long long> v(n + 1);
    long long a;
    std::cin >> a;
    v[0] = 0;
    v[1] = a;
    for (int i = 2; i < n; ++i) {
        std::cin >> a;
        v[i] = v[i - 1] + a;
    }
    for (int i = 0; i < v.size(); ++i) {
        for (int j = i + 1; j < v.size(); ++j) {
            if (v[j] - v[i] >= l && v[j] - v[i] <= r) {
                std::cout << v[i] << ' ' << v[j];
                return 0;
            }
        }
    }
    std::cout << -1 << ' ' << -1;
    return 0;
}