#include <bits/stdc++.h>

using namespace std;

#define Cheats ios::sync_with_stdio(0); cin.tie(0); cout.tie(0)
#define forn(x, n) for (decltype(n) x = 0; x < n; x++) // for [0;n)
#define nl '\n'
#define all(a) (a).begin(), (a).end()
#define rall(a) (a).rbegin(), (a).rend()
#define _ << " " <<
#define ll long long
#define ld long double
#define pb push_back
#define int long long
vector<int> primes;
vector<bool> is_prime;

void sieve(int n) {
    is_prime.resize(n + 1, true);
    is_prime[0] = is_prime[1] = false;
    for (int i = 2; i <= n; i++) {
        if (is_prime[i]) {
            primes.pb(i);
            for (int j = i * i; j <= n; j += i) {
                is_prime[j] = false;
            }
        }
    }
}

void solve(int n, int sum, vector<int> &v) {
    if (n == 0) {
        vector<int> cur;
        for (long long i: v) cur.pb(i);
        sort(all(cur));
        forn(i, cur.size()) {
           if (i == cur.size() - 1) cout << cur[i];
           else cout << cur[i] << "+";
        }
        cout << nl;
        return;
    }
    for (int i = 1; i <= n; i++) {
        if (!is_prime[i] && i <= sum) {
            v.pb(i);
            solve(n - i, i, v);
            v.pop_back();
        }
    }
}

signed main() {
    Cheats;
    int n;
    cin >> n;
    vector<int> v;
    sieve(1000);
    solve(n, n, v);
    return 0;
}
