def is_prime(num):
    if num < 2:
        return False
    for i in range(2, int(num ** 0.5) + 1):
        if num % i == 0:
            return False
    return True


def count_non_prime_partitions(n):
    count = 0

    def helper(n, largest):
        nonlocal count
        if n == 0:
            count += 1
            return
        for i in range(1, largest + 1):
            if is_prime(i):
                continue
            if i <= n:
                helper(n - i, i)

    helper(n, n)
    return count


def main():
    n = int(input())

    result = count_non_prime_partitions(n)
    print(result)


if __name__ == "__main__":
    main()