"""
Рассмотрим разбиения целого числа n в сумму целых положительных чисел.Будем называть разбиение непростым если слагаемые в нем упорядочены по неубвыанию, причем среди них нет простых чисел. Например для n=5 существует два непростых разбиения: 1 + 1 + 1 + 1 + 1  И 1 + 4. Задано число n. Вывведите все его нрепростые разбиения на слагаемые(слагаемые разделяйте знаком "+")
"""
def is_prime(a):
    if a % 2 == 0:
        return a == 2
    z = 3
    while z * z <= a and a % z != 0:
        z += 2
    return a < z * z


n = int(input())
y = [1 for i in range(n)]
x = [[1 for _ in range(n)]]
for i in range(n):
    z = y[-1] + y[-2]
    y.remove(y[-1])
    y.remove(y[-1])
    y.append(z)
    if not(is_prime(y[-1])):
        if y not in x:
            x.append(y)
    if len(y) <= 2:
        break
for i in x:
    print(*i, sep='+')
