L, R = map(int, input().split())
n = int(input())
distances = list(int(x) for x in input().split())
runs = []

for start_i in range(0, n - 1):
    finish_i = start_i + 1
    dist = sum(distances[start_i:start_i+2])

    while finish_i + 1 < n and dist < L:
        finish_i += 1
        dist += distances[finish_i]

    if dist < R:
        runs.append((start_i, finish_i))

# | | | | | |

if not runs:
    print("-1 -1")

# Too much filtering
# why not?
min_finish = min(run[1] for run in runs)
runs = [run for run in runs if run[1] == min_finish]

min_start = min(run[0] for run in runs)
runs = [run for run in runs if run[0] == min_start]

print(sum(distances[:runs[0][0]]), sum(distances[:runs[0][1] + 1]))
