L, R = map(int, input().split())
n = int(input())
distances = list(int(x) for x in input().split())
runs = []

for start_i in range(0, n - 1):
    offset = 0
    dist = distances[start_i]

    while dist < L and offset + start_i + 1 < n:
        offset += 1
        dist += distances[start_i + offset]

    if L <= dist <= R:
        runs.append((start_i, start_i + offset + 1))

#  1 2 3 4 5
# | | | | | |

if not runs:
    print("-1 -1")
    exit()

# Too much filtering
# why not?
min_finish = min(run[1] for run in runs)
runs = [run for run in runs if run[1] == min_finish]

min_start = min(run[0] for run in runs)
runs = [run for run in runs if run[0] == min_start]

print(sum(distances[:runs[0][0]]), sum(distances[:runs[0][1]]))
