def is_prime(num):
if num < 2:
return False
for i in range(2, int(num**0.5) + 1):
if num % i == 0:
return False
return True

def generate_partitions(n, max_num, curr_partition, result):
if n == 0:
result.append(curr_partition)
return
for i in range(1, min(max_num, n) + 1):
if len(curr_partition) == 0 or (not is_prime(i) and curr_partition[-1] >= i):
generate_partitions(n - i, i, curr_partition + [i], result)

def print_nonprime_partitions(n):
result = []
generate_partitions(n, n, [], result)
for partition in result:
print(' + '.join(map(str, partition)))

n = int(input("Введите число n: "))
if 1 < n < 70:
print_nonprime_partitions(n)
else:
print("Число не соответствует указанному диапазону")
