#include <iostream>
#include <vector>

void main(void) {
	long long lim = std::pow(16, 10);
	long long L, R, n;
	std::cin >> L >> R >> n;
	std::vector<long long> sum(n);
	std::vector<long long> arr(n);
	std::cin >> arr[0];
	sum[0] = arr[0];
	for (int i = 1; i < n; i++) {
		std::cin >> arr[i];
		sum[i] = sum[i - 1] + arr[i];
	}
	
	int aj = lim, ai = lim;

	for (int i = n - 1; i >= 0; i--) {
		for (int j = i - 1; j >= 0; j--) {
			long long d = sum[i] - sum[j];
			if (d >= L && d <= R) {
				if (j < aj) {
					aj = j;
					ai = i;
				}
			}
		}
	}
	if (aj != lim && ai != lim) std::cout << sum[aj] << " " << sum[ai] << std::endl;
	else std::cout << -1 << " " << -1 << std::endl;
}