﻿#include <iostream>
#include <vector>
#include <algorithm>

#define int long long

using namespace std;

signed main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    int L, R; cin >> L >> R;
    int n; cin >> n;
    vector<int> g(n);
    for (int i = 0; i < n; ++i) {
        cin >> g[i];
    }

    vector<int> pref(n + 1, 0);
    for (int i = 1; i <= n; ++i) {
        pref[i] = pref[i - 1] + g[i - 1];
    }

    int l = 0, r = 1;
    vector<pair<int, int>> ans;
    while (r < n) {
        if (pref[r] - pref[l] < L) {
            ++r;
        }
        else if (pref[r] - pref[l] >= L && pref[r] - pref[l] <= R) {
            ans.push_back({ pref[l], pref[r] });
            ++l;
            ++r;
        }
        else if (pref[r] - pref[l] > R) {
            ++l;
        }
    }

    sort(ans.begin(), ans.end(), [](pair<int, int> &l, pair<int, int> &r) {
        if (l.second == r.second) return l.first < r.first;
        else return l.second < r.second;

        });

    cout << ans[0].first << " " << ans[0].second;
    return 0;
}

