#include<bits/stdc++.h>

using namespace std;
using ll = long long;
using ld = long double;
using pll = pair<ll, ll>;
ll l, r;
void solve() {
    ll n;
    cin >> l >> r >> n;
    vector<ll> d(n);
    for (int i = 0; i < n; ++i) {
        cin >> d[i];
    }
    vector<ll>dist(n + 1);
    dist[0] = 0;
    for (int i = 0; i < n; ++i) {
        dist[i + 1] = dist[i] + d[i];
    }
    ll ansR = -1, ansL = -1;
    int st = n;
    for (int e = n; e >= 0; --e) {
        while (st >= 0 && dist[e] - dist[st] < l) {
            st--;
        }
        while (st > 0 && dist[e] - dist[st - 1] <= r) {
            st--;
        }
        if (st >= 0 && dist[e] - dist[st] <= r) {
            if (ansR == -1 || e < ansR) {
                ansR = e;
                ansL = st;
            }
        }
    }
    if (ansR == -1) {
        cout << "-1 -1";
    } else {
        cout << dist[ansL] << ' ' << dist[ansR];
    }
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    solve();
}
