#include <iostream>
#include <algorithm>
#include <cmath>
#include <vector>
#include <map>
#include <set>

using ll = long long;
using ld = long double;

using namespace std;

const ll inf = 1e18;

int main() {
    ios_base::sync_with_stdio(0);
    cout.tie(0);
    cin.tie(0);

    ll L, R, n;
    cin >> L >> R >> n;

    vector<int> d(n + 1);
    vector<ll> pref(n + 1);
    for (int i = 1; i<=n; ++i) {
        cin >> d[i];
        pref[i] = pref[i-1] + d[i];
    }

    int posl = -1, posr = -1;
    ll minDist = inf;
    ll dist = 0;
    int l = 0, r = 1;
    while (r <= n+1) {
        if (dist < L) {
            if (r == n+1) {
                break;
            }
            dist += d[r++];
        } else {
            if (minDist > dist && dist <= R) {
                cout << pref[l] << ' ' << pref[r - 1] << '\n';
                return 0;
            }
            dist -= d[++l];
        }
    }
    if (posl == -1) {
        cout << -1 << ' ' << -1 << '\n';
        return 0;
    }


    return 0;
}
