#include <iostream>
#include <string>
#include <algorithm>
#include <cmath>
#include <vector>
#include <map>
#include <set>

using ll = long long;
using ld = long double;

using namespace std;

const ll inf = 1e18;

int main() {
    ios_base::sync_with_stdio(0);
    cout.tie(0);
    cin.tie(0);

    ll n, k;
    cin >> n >> k;

    ll first;
    multiset<ll, greater<>> data;
    vector<ll> ans(1 + k);
    data.insert(n);
    while (k--) {
        first = *data.begin();
        data.erase(data.begin());
        ll half = first / 2;
        data.insert(half);
        data.insert(first - half);
    }

    auto iter = data.begin();
    for (int i = 0; i < ans.size(); ++i) {
        ans[i] = *iter;
        ++iter;
    }

    int q;
    cin >> q;

    for (int i = 0, t; i < q; ++i) {
        cin >> t;
        cout << ans[t-1] << ' ';
    }
}
