#include<iostream>
#include<set>
#include<vector>
#include<string>
#include<algorithm>
#include<cmath>
using namespace std;

vector<bool> prime(71, false);

string convert(long long n)
{
    string s;
    if(n == 0)
        return "";
    while(n > 0)
    {
        s += char((n % 10) + '0');
        n /= 10;
    }
    reverse(s.begin(), s.end());
    return s;
}

vector<string> f(long long n, long long k)
{
    vector<string> ret;

    if(n == 0)
    {
        ret.push_back("");
        return ret;
    }

    if(!prime[n] && n <= k)
        ret.push_back(convert(n));
    for(int i = 1; i <= k; i++)
    {
        if(n <= i)
            break;
        if(prime[i])
            continue;
        string ans = convert(i);
        vector<string> v = f(n - i, i);
        for(int j = 0; j < v.size(); j++)
            ret.push_back(v[j] + "+" + ans);
    }
    return ret;
}

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    for(int k = 2; k <= 70; k++)
    {
        prime[k] = true;
        for(int i = 2; i * i <= k; i++)
        {
            if(k % i == 0)
            {
                prime[k] = false;
                break;
            }
        }
    }

    long long n;
    cin >> n;
    vector<string> fn = f(n, n);
    for(int i = 0; i < fn.size(); i++)
    {
        cout << fn[i] << endl;
    }
}