﻿#include <iostream>
#include <algorithm>
#include <cmath>
#include <string>
#include <iomanip>
#include <vector>
#include <cstdint>
#include <set>

#define int long long
#define vec vector
#define all(a) a.begin(), a.end()

using namespace std;

void solve() {
    int n; cin >> n;
    int k; cin >> k;
    multiset<int> s;
    s.insert(n);
    for (int i = 0; i < k; i++) {
        auto it = s.rbegin();
        s.insert((*it) / 2);
        s.insert((*it) / 2 + ((*it) % 2));
        s.erase(s.find(*it));
    }
    vec<int> a(k + 1);
    for (int i = 0; i < k + 1; i++) {
        a[i] = *s.rbegin();
        s.erase(s.find(*s.rbegin()));
    }
    int q; cin >> q;
    for (int i = 0; i < q; i++) {
        int x; cin >> x;
        cout << a[x - 1] << ' ';
    }
}

int32_t main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    solve();
    return 0;
}
