﻿#include <iostream>
#include <vector>
#include <algorithm>
#include <string>
#include <set>

using namespace std;

#define int long long

/*
100 120
7
45 45 45 35 30 35 45
*/

signed main()
{
	int ll, rr;
	cin >> ll >> rr;
	int n;
	cin >> n;
	vector <int> mas(n + 1);
	mas[0] = 0;
	for (int i = 0; i < n; i++)
	{
		int a;
		cin >> a;
		mas[i + 1] = mas[i] + a;
	}

	vector <pair <int, int>> ans;
	for (int i = 0; i < n + 1; i++)
	{
		/*
		for (int j = i + 1; j < n + 1; j++)
		{
			if (mas[j] - mas[i] >= ll && mas[j] - mas[i] <= rr)
			{
				ans.push_back({ j, i });
			}
		}
		*/

		int l = i, r = n + 1;
		while (r - l > 1)
		{
			int m = (l + r) / 2;
			if (mas[m] - mas[i] >= ll)
			{
				r = m;
			}
			else
			{
				l = m;
			}
		}
		if (r != n + 1)
		{
			if (mas[r] - mas[i] <= rr)
			{
				ans.push_back({ r, i });
			}
		}
	}

	sort(ans.begin(), ans.end());
	if (ans.size() == 0)
	{
		cout << -1 << " " << -1;
	}
	else
	{
		cout << mas[ans[0].second] << " " << mas[ans[0].first];
	}
}