L, R = map(int, input().split())
n = int(input())
distances = list(map(int, input().split()))

s = -1
t = -1

prefix_sum = [0] * (n + 1)
for i in range(1, n + 1):
    prefix_sum[i] = prefix_sum[i - 1] + distances[i - 1]

start = 0
end = 0

while start <= n and end <= n:
    total_distance = prefix_sum[end] - prefix_sum[start]
    if total_distance >= L and total_distance <= R:
        if start == 0 or end == n or distances[start - 1] != distances[end]:
            s = prefix_sum[start]
            t = prefix_sum[end]
            break
        end += 1
    elif total_distance < L:
        end += 1
    else:
        start += 1

if s == -1 or t == -1:
    print(-1, -1)
else:
    print(s, t)
