def choose_distance_start_end(distances, L, R):
    n = len(distances)

    best_start, best_end = 0, 0
    best_finish = float('inf')

   
    finish = min(distances[0] + R, distances[n - 1])
    if L <= finish <= R and finish < best_finish:
        best_finish = finish
        best_start, best_end = 0, distances[0]

   
    for i in range(1, n):
        start = distances[i - 1]
        finish = min(distances[i] + R, distances[n - 1])

        if L <= finish <= R and finish < best_finish:
            best_finish = finish
            best_start, best_end = start, distances[i]

    return best_start, best_end


distances = [0, 3, 8, 14, 20]
L = 5
R = 15

start, end = choose_distance_start_end(distances, L, R)
print(f"Начало дистанции: {start}, Конец дистанции: {end}")
