def generate_intersection(n, l):
    if n < l * 2 + 1 or l < 1 or n % 2 == 0:
        return []

    intersection = [['.' for _ in range(n)] for _ in range(n)]
    start = (n - 1) // 2 - l // 2
    end = (n - 1) // 2 + l // 2

    
    for i in range(start, end + 1):
        for j in range(n):
            intersection[i][j] = '*'
            intersection[j][i] = '*'

    return intersection

def display_intersection(intersection):
    for row in intersection:
        print(' '.join(row))


n = int(input())
l = int(input())

intersection = generate_intersection(n, l)
if intersection:
    display_intersection(intersection)
