﻿// vs001.cpp : Этот файл содержит функцию "main". Здесь начинается и заканчивается выполнение программы.
//
#include <iostream>
#include <cmath>
#include <algorithm>
#include <vector>

#pragma GCC optimize("03,unroll-loop")

typedef long long ll;

using namespace std;

#define min(a, b) (a < b ? a : b)
#define max(a, b) (a > b ? a : b)

vector<int> simples = { 2,3,5,7,11,13,17,19,23,29,31,37,41,43,47,53,59,61,67 };
const int simple_size = 19;

bool is_simple(int num) {
    for (int i = 0; i < simple_size; i++) {
        if (num == simples[i]) return true;
        if (simples[i] > num) return false;
    }
    return false;
}

ll sum(vector<ll> vec) {
    ll sum = 0;
    for (int i = 0; i < vec.size(); i++) {
        sum += vec[i];
    }
    return sum;
}

void print(vector<ll> vec) {
    for (int i = 0; i < vec.size() - 1; i++) {
        cout << vec[i] << "+";
    }
    cout << vec[vec.size() - 1]<<"\n";
}

void check(vector<ll> vec, ll num) {
    ll vec_sum = sum(vec);
    if (vec_sum == num) print(vec);
    for (ll i = 1; i <= num - vec_sum; i++) {
        if (!is_simple(i)) {
            vector<ll> new_vec = vec;
            new_vec.push_back(i);
            check(new_vec, num);
            new_vec.resize(1);
        }
    }
}

int main()
{
    ll n;
    cin >> n;

    vector<ll> vec = { n };
    vector<ll> numvec(1);
    for (ll i = 1; i < n / 2; i++) {
        numvec[0] = i;
        if(!is_simple(i)) check(numvec, n);
    }

    return 0;
}