def is_prime(n):
    if n <= 1:
        return False
    for i in range(2, int(n**0.5)+1):
        if n % i == 0:
            return False
    return True

def all(n, k = None):
    if k is None:
        k = n

    if n == 0:
        return []

    return ([[n]] if n<=k else []) + [
        l + [i]
        for i in range(1, 1+min(n, k))
        for l in all(n-i, i)]

n = int(input("n: "))
if n < 1 or n > 70:
    exit(1)

primes = []

for i in range(71):
    if is_prime(i):
        primes.append(i)

allcombs = all(n, n)
combs = []

for i in allcombs:
    if not set(i).intersection(set(primes)):
        combs.append(i)
for i in combs:
    for j in range(len(i)):
        if j == len(i)-1:
            print(i[j])
        else:
            print(i[j], end="+")