import math

n = int(input())

def is_root(n):
    return abs(n**0.5 - int(n**0.5)) < 0.00001 # extremely sketchy

pqs = []

for k in range(1, n):
    approx_root = n ** (1/k)
    for p in range(n):
        for q in range(n):
            if abs(p*q - approx_root)<0.001:
                if [k, q, p] not in pqs:
                    pqs.append([k, p, q])

counter = 0
for i in pqs:
    counter += i[0]

print(counter)
