#include <bits/stdc++.h>
using namespace std;
typedef long long ll;

bool is_prime(int n) {
    if (n == 1) return false;
    for (int i = 2; i * i <= n; i++) {
        if (n % i == 0) {
            return false;
        }
    }
    return true;
}

void gen(int n, int s, vector<int>& ans) {
    if (s == 0) {
        for (int i = 0; i < ans.size(); i++) {
            cout << ans[i];
            if (i < ans.size() - 1) cout << '+';
        }
        cout << '\n';
        return;
    }
    if (s < 0) return;
    for (int i = 1; i <= n; i++) {
        if (!ans.empty() && i < ans.back()) continue;
        if (!is_prime(i)) {
            ans.push_back(i);
            gen(n, s - i, ans);
            ans.pop_back();
        }
    }
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    int n; cin >> n;
    vector<int> ans;
    gen(n, n, ans);

}
