from itertools import accumulate


def bin_search(el, er):
    l, r = 0, len(trees_positions) - 1
    while l <= r:
        m = (l + r) // 2
        if el <= trees_positions[m] <= er:
            return m
        else:
            if trees_positions[m] > er:
                r -= 1
            else:
                l += 1
    return None


L, R = map(int, input().split())
amount = int(input())
arr = map(int, input().split())
trees_positions = list(accumulate(arr))

c = 0
for index, start in enumerate(trees_positions):
    edge_l, edge_r = start + L, start + R
    index_found = bin_search(edge_l, edge_r)
    if index_found is not None:
        print(start, trees_positions[index_found])
        break
    else:
        c += 1

if c == len(trees_positions):
    print(-1, -1)