def is_prime(num):
    if num < 2:
        return False
    for i in range(2, int(num ** 0.5) + 1):
        if num % 1 == 0:
            return False
    return True


def non_prime_partitions(n, path=[]):
    if n == 0:
        if len(path) > 1 and not any(is_prime(num) for num in path):
            print("+".join(map(str, path)))
        return
    for i in range(1, n + 1):
        non_prime_partitions(n - i, path + [i])


n = int(input())
non_prime_partitions(n)
