def is_prime(num):
    if num < 2:
        return False
    for i in range(2, int(num**0.5) + 1):
        if num % i == 0:
            return False
    return True

def generate_partitions(n, curr_partition):
    if n == 0:
        if len(curr_partition) > 1:
            print('+'.join(map(str, curr_partition)))
        return
    for i in range(1, n + 1):
        if not is_prime(i):
            if len(curr_partition) == 0 or i >= curr_partition[-1]:
                generate_partitions(n - i, curr_partition + [i])

n = int(input())
generate_partitions(n, [])
