def find_lengths(n, k, q, queries):
    def count_ropes(length):
        count = 0
        for rope in lengths:
            count += rope // length
        return count

    low, high = 1, n

    while low < high:
        mid = (low + high + 1) // 2
        if count_ropes(mid) >= k:
            low = mid
        else:
            high = mid - 1

    result = [low] * q

    return result


n = int(input())
k = int(input())
q = int(input())
queries = list(map(int, input().split()))

# Вывод результата
result = find_lengths(n, k, q, queries)
print(*result)
