#include <iostream>

using namespace std;

int main() {
    long long l, r, temp;
    int n;
    cin >> l >> r >> n;
    long long d[n+1];
    d[0] = 0;
    for (int i = 1; i <= n; i++) {
        cin >> temp;
        d[i] = d[i-1] + temp;
    }

    bool isBreaked = false;
    for (int i = 0; i < n; i++) {
        int first = i, last = n;
        int mid = (first+last)/2;

        while (last > first && mid > first && mid < last) {
            temp = d[mid] - d[i];
            if (temp >= l && temp <= r && !(d[mid-1]-d[i] >= l && d[mid-1]-d[i] <= r)) break;
            else if (temp > r) last = (last+first)/2;
            else if (temp < l) first = (last+first)/2;
            mid = (first+last)/2;
        }
        if (temp >= l && temp <= r) {
            cout << d[i] << ' ' << d[mid];
            isBreaked = true;
            break;
        }
    }

    if (!isBreaked) cout << "-1 -1";
    return 0;
}
