#include <iostream>
#include <cmath>
#include <vector>
#include <string>
#include <cstdlib>
#include <cstring>
#include <algorithm>

/* run this program using the console pauser or add your own getch, system("pause") or input loop */

void z1(int argc, char** argv) {
	int n, l;
	std::cin >> n;
	std::cin >> l;
	int bord_dist = (n-l)/2;
	for(int y = 0; y < n; y++) {
		for(int x = 0; x < n; x++) {
			if((y < bord_dist || y >= (n-bord_dist)) &&
			(x < bord_dist || x >= (n-bord_dist))) {
				printf(".");
			} else {
				printf("*");
			}
		}
		printf("\n");
	}
}

void z2() {
	long a, b;
	std::cin >> a;
	std::cin >> b;
	//3,4,5 3+4>5 3+5>4 4+5>3
	// 2     	
	long sumA = a+b;
	unsigned long maxC = sumA-1;
	unsigned long right = 0;
	unsigned long diff = std::abs(a-b); //984 32 = 1078
//	printf("%lu\n", diff);
//	for(unsigned long c = 0; c <= maxC; c++) {
//		float pp = (a+b+c)/2.0f;
//		float s_sq = pp*(pp-a)*(pp-b)*(pp-c);
//		printf("c %d pp %f s %f\n", c, pp, s_sq);
//		if(s_sq > 0) {
//			right++;
//		}
//	}
//	printf("%lu %lu\n", right, (maxC-diff));
	printf("%lu\n", (maxC-diff));
}

void z3() {
	//  L  R
	//n ,   . d1  , i  di   
	//    ,   ;   
	//  ,  ,        
	//  ,   ,      
	//   
	unsigned long long L, R;
	unsigned int n;
 	long long s = -1, t = -1;
	char c;
	std::cin >> L >> R;
	std::cin >> n;std::cin.get(c);
	std::vector<unsigned long> d; //d[0] == d1; d[1] == d2 etc
	int tmp_ctr = 0;
	char tmp[11];
	while(true) {
		std::cin.get(c);
		if(c == ' ') {
			unsigned long conv = std::strtol(tmp, NULL, 10);
			d.push_back(conv);
			memset(tmp, 0, 11);
			tmp_ctr = 0;
		} else if(c == '\n') {
			unsigned long conv = std::strtol(tmp, NULL, 10);
			d.push_back(conv);
			memset(tmp, 0, 11);
			tmp_ctr = 0;
			break;
		} else {
			tmp[tmp_ctr++] = c;
		}
	}
	// . n,       
	unsigned int min_end_n = 0;
	unsigned long long tmp_s = 0;
	for(unsigned int tmp_n = 0; tmp_n < n; tmp_n++) {
		tmp_s += d[tmp_n];
		if(tmp_s >= L) {
			min_end_n = tmp_n;
			break;
		}
	}
	unsigned int start_n = 0;
	unsigned long long start_s = 0;
	unsigned int end_n = min_end_n;
	unsigned long long end_s = tmp_s - d[min_end_n];
//	unsigned long long end_s = 0;
	while(end_n <= n) {
//		end_s = 0;
//		for(unsigned int i = 0; i < end_n; i++) {
//			end_s += d[i];
//		}
		//  ,  ,       
		start_n = 0;
		start_s = 0;
		while(start_n < end_n) {
//			start_s = 0;
//			for(unsigned int i = 0; i < start_n; i++) {
//				start_s += d[i];
//			}
			unsigned long long dist = end_s - start_s;
			if(dist >= L && dist <= R) {
				s = start_s;
				t = end_s;
				end_n = n;
				break;
			}
			if(start_n < n) {
				start_s += d[start_n];
			}
			start_n++;
		}
		if(end_n < n) {
			end_s += d[end_n];
		}
		end_n++;
	}
	printf("%I64d %I64d\n", s, t);
}

bool is_simple(int n) {
	if(n == 1) {
		return false;
	}
	int dividers_cnt = 0;
	for(int i = 1; i <= n; i++) {
		if(n%i == 0) {
			dividers_cnt++;
		}
	}
	return (dividers_cnt == 2);
}

void split(int n, std::vector<int>& list, std::vector< std::vector<int> >* gl_list) {
	if(n == 1) {
		list.push_back(1);
		gl_list->push_back(list);
	}
	if(n == 0) {
		gl_list->push_back(list);
	}
	bool ret = false;
	for(int i = 1; i <= n; i++) {
		if(!is_simple(i)) {
			std::vector<int> tmp = list;
			tmp.push_back(i);
			split(n-i, tmp, gl_list);
		}
	}
}

bool vec_eq(std::vector<int> a, std::vector<int> b) {
	if(a.size() != b.size()) {
		return false;
	}
	for(int i = 0; i < a.size(); i++) {
		if(a[i] != b[i]) {
			return false;
		}
	}
	return true;
}

void z4() {
	int n;
	std::cin >> n;
	std::vector< std::vector<int> > splits;
	std::vector< std::vector<int> > checked;
	std::vector<int> x;
	split(n, x, &splits);
	for(int i = 0; i < splits.size(); i++) {
		std::vector<int> v = splits[i];
		std::sort(v.begin(), v.end());
		bool c = true;
		for(int k = 0; k < checked.size(); k++) {
			if(vec_eq(v, checked[k])) {
				c = false;
			}
		}
		if(c) {
			checked.push_back(v);
			for(int k = 0; k < v.size(); k++) {
				(k == v.size()-1) ? printf("%d", v[k]) : printf("%d+", v[k]);
			}
			printf("\n");
		}
	}
}

int main(int argc, char** argv) {
//	z1(argc, argv);
//	z2();
//	z3();
	z4();
	return 0;
}
