def draw_intersection(n, l):
    image = []
    road_start = (n - l) // 2
    road_end = road_start + l

    for i in range(n):
        row = []
        for j in range(n):
            if road_start <= i < road_end or road_start <= j < road_end:
                row.append('*')
            else:
                row.append('.')
        image.append(row)

    return image


n = int(input())
l = int(input())
intersection = draw_intersection(n, l)

for row in intersection:
    print(' '.join(row))
