def simple(n):
    if n <= 1: return False
    elif n <= 3: return True
    elif n % 2 == 0 or n % 3 == 0: return False
    i = 5
    while i * i <= n:
        if n % i == 0 or n % (i + 2) == 0:
            return False
        i += 6
    return True

def summator(n, I=1):
    sums = []
    if n == 1:
        sums.append([1])
    else:
        for i in range(I, n//2 + 1):
            if not simple(i):
                for p in summator(n-i, i):
                    sums.append([i] + p)
        if not simple(n):
            sums.append([n])
    return sums

#print(simple(int(input())))
for sums in list(summator(int(input()))):
    print('+'.join(map(str,sums)))
