n = int(input())


def sieve(n):
    s = [True for _ in range(n)]
    k = 2

    while k < n:
        if not s[k]:
            k += 1
            continue

        i = 2 * k

        while i < n:
            s[i] = False
            i += k

        k += 1

    return s


primes = set(i for (i, is_prime) in enumerate(sieve(n)) if is_prime and i > 1)

ans = set()

init = '1+' * n
cur = init

ans.add(cur)

for i in range(2, n):
    if i in primes:
        continue

    s = '1+' * i
    token = str(i) + '+'
    t = token

    while s in cur:
        cur = cur.removesuffix(s) + t
        s += t
        t += token
        ans.add(cur)


for i in ans:
    print(i.removesuffix('+'))

