﻿#include <iostream>
#include <vector>

using namespace std;

#pragma GCC optimize("Ofast, unroll-loops")
#pragma target("avx2")


int main() {
	long long ll, rr;
	int n;

	cin >> ll >> rr >> n;

	vector<long long> arr(n);
	vector<long long> prefix(n+1, 0);

	for (int i = 0; i < n; i++)
	{
		cin >> arr[i];
		if (i == 0) {
			prefix[1] = arr[0];
		}
		else {
			prefix[i+1] = arr[i] + prefix[i]; 
		}
	}

	int l = 0, r = 0;

	while (!(l == r == n)) {
		
		if (prefix[r] - prefix[l] < ll) {
			if (r == n) {
				l++;
			}
			r++;
		}
		else if(prefix[r] - prefix[l] > rr)
		{
			l++;
		}
		else {
			cout << prefix[l] << " " << prefix[r];
			//cout << l << r;
			return 0;
		}
	}

	cout << -1 << " " << -1;
}
