#include <iostream>
#include <vector>

typedef long long ll;

using namespace std;

int main()
{
	ios::sync_with_stdio(0);
	cin.tie(0);
	cout.tie(0);

	ll l, r;
	cin >> l >> r;

	ll n;
	cin >> n;

	vector<ll> vec(n);
	vector<ll> pref(n);
	pref[0] = 0;
	bool flag = false;
	for (int i = 0; i < n; i++)
	{
		cin >> vec[i];

		if (i > 0)
		{
			pref[i] = pref[i - 1] + vec[i];

			if (pref[i] >= l && pref[i] <= r)
			{
				if (flag)
				{
					continue;
				}
				cout << 0 << ' ' << pref[i];
				flag = true;
			}
		}
		else
		{
			pref[i] = vec[i];
			
			if (flag)
			{
				continue;
			}

			if (pref[i] >= l && pref[i] <= r)
			{
				cout << 0 << ' ' << pref[i];
				flag = true;
			}
		}
	}

	if (flag)
	{
		return 0;
	}

	for (int i = 1; i < n; i++)
	{
		for (int j = i + 1; j < n; j++)
		{
			if (pref[j] - pref[i] >= l && pref[j] - pref[i] <= r)
			{
				cout << pref[i] << ' ' << pref[j];
				return 0;
			}
		}
	}

	cout << -1 << ' ' << -1;

	return 0;
}