#include <iostream>
#include <cmath>
#include <vector>
#include <algorithm>

typedef unsigned long long ull;

int main( void )
{
  ull n, k;
  int q;
  std::vector<ull> t;

  std::cin >> n >> k >> q;
  t.resize(q);

  for (int i = 0; i < q; i++)
    std::cin >> t[i];

  std::vector<ull> ans;
  ans.push_back(n);

  for (ull i = 0; i < k; i++)
  {
    ull max = -1;

    for (ull j = 0; j < ans.size(); j++)
      if (max == -1 || ans[max] <= ans[j])
        max = j;

    ull c = ans[max] / 2;

    if (ans[max] % 2 == 0)
    {
      ans[max] = c;
      ans.insert(ans.begin() + max + 1, c);
    }
    else
    {
      ans[max] = c + 1;
      ans.insert(ans.begin() + max + 1, c);
    }
  }

  std::sort(ans.begin(), ans.end(), []( const ull &L, const ull &R){ return L > R; });

  for (ull i = 0; i < t.size(); i++)
    std::cout << ans[t[i] - 1] << " ";

  return 0;
}