

def is_prime(n):
    if n == 1:
        return False
    for i in range(2, int(n ** 0.5) + 1):
        if n % i == 0:
            return False
    return True


def ret(n):
    ans = [[[] for _ in range(n + 1)] for i in range(n + 1)]
    
    for i in range(1, n + 1):
        ans[i][1] = [("1+" * i)[:-1]]
        ans[1][i] = ["1"]
        ans[0][i] = [""]
    ans[0][0] = [""]
    
    for i in range(2, n + 1):
        for j in range(1, n + 1):
            if j >= i:
                ans[i][j] = ans[i][i - 1].copy()
            else:
                ans[i][j] = ans[i][j - 1].copy()
                if not is_prime(j):
                    for k in ans[i - j][j]:
                        if k == '':
                            ans[i][j].append(str(j))
                        else:
                            ans[i][j].append(k + "+" + str(j))
                    #ans[i][j] += [k + "+" + str(j) for k in ans[i - j][j]]
    return ans



if __name__ == "__main__":
    n = int(input())
    
    ans1 = ret(n)
    print(*ans1[n][n], sep='\n')
    #print(arr[n][n], ans[n][n])
