def draw_intersection(n, l):
    intersection = [['.' for _ in range(n)] for _ in range(n)]

    # Определение центра перекрёстка
    center = n // 2

    # Рисование горизонтальной дороги
    start_col = center - l // 2
    end_col = start_col + l
    intersection[center][start_col:end_col] = ["*"] * l

    # Рисование вертикальной дороги
    start_row = center - l // 2
    end_row = start_row + l
    for i in range(start_row, end_row):
        intersection[i][center] = "*"

    # Преобразование списка списков в строку
    intersection_str = [''.join(row) for row in intersection]

    # Вывод изображения
    for row in intersection_str:
        print(row)


