def recovery_up(lis, ind):
    left = ind // 2
    if ind > 1:
        if lis[left] <= lis[ind]:
            lis[ind], lis[left] = lis[left], lis[ind]
            return recovery_up(lis, left)


def recovery_down(lis, ind):
    left = ind * 2
    right = ind * 2 + 1
    if right <= len(lis) - 1:
        if lis[left] > lis[ind]:
            lis[ind], lis[left] = lis[left], lis[ind]
            return recovery_down(lis, left)
        elif lis[right] > lis[ind]:
            lis[right], lis[ind] = lis[ind], lis[right]
            return recovery_down(lis, right)
    elif left <= len(lis) - 1:
        if lis[left] > lis[ind]:
            lis[left], lis[ind] = lis[ind], lis[left]
            return recovery_down(lis, left)


def add(lis, elem):
    lis.append(elem)
    recovery_up(lis, len(lis) - 1)


def take_elem(lis):
    if lis[1] % 2 == 0:
        a = lis[1] // 2
        lis[1] = a
        recovery_down(lis, 1)
        add(lis, a)
    else:
        a = lis[1] // 2 + 1
        lis[1] = a
        recovery_down(lis, 1)
        add(lis, a - 1)


s = [-1]
n = int(input())
s.append(n)

k = int(input())
for _ in range(k):
    take_elem(s)

s = s[1:]
s.sort(reverse=True)
q = int(input())
am = list(map(int, input().split()))
for i in am:
    print(s[i-1], end=' ')
