#include <iostream>
#include <set>
#include <vector>
#include <math.h>

using namespace std;

void gen(int n, vector<int> s, vector<short> &nonprime) {
    int sum = 0;
    for (int i = 0; i < s.size(); ++i)
        sum += s[i];
    if (sum == n) {
        for (int i = 0; i < s.size() - 1; ++i)
            cout << s[i] << "+";
        cout << s.back() << endl;
        return;
    }
    if (sum > n || s.size() > n)
        return;

    for (auto el: nonprime) {
        if (s.size() > 0) {
            if (el < s.back())
                continue;
            if (el > n)
                return;
        }

        s.push_back(el);
        gen(n, s, nonprime);
        s.pop_back();
    }
}


int main()
{
    vector<short> nonprime = {1};
    for (int i = 1; i <= 70; ++i) {
        bool f = false;
        for (int j = 2; j <= sqrt(i); ++j) {
            if (i % j == 0) {
                f = true;
                break;
            }
        }
        if (f)
            nonprime.push_back(i);
    }
    int n;
    cin >> n;
    vector<int> s;
    gen(n, s, nonprime);
}
