def is_prime(num):
    if num < 2:
        return False
    for i in range(2, int(num**0.5) + 1):
        if num % i == 0:
            return False
    return True


def non_prime_partitions(n):
    def backtrack(start, remaining, partition):
        if remaining == 0:
            print('+'.join(map(str, partition)))
            return
        for i in range(start, remaining + 1):
            if not is_prime(i):
                partition.append(i)
                backtrack(i, remaining - i, partition)
                partition.pop()
    backtrack(1, n, [])
n = int(input())
non_prime_partitions(n)
