﻿
#include <iostream>
#include <string>
#include <vector>
#include <algorithm>
#include <list>
#include <set>
#include <fstream>
#include <climits>
#include <cmath>

using namespace std;

/*

int main() {
    int n;
    cin >> n;

}
*/

int main()
{
    long long l,r;
    cin >> l >> r;
    int n;
    cin >> n;
    vector<long long> d(n + 1);
    
    d[0] = 0;
    long long temp;
    for (int i = 1; i <= n; i++) {
        cin >> temp;
        d[i] = d[i - 1] + temp;
    }
    bool flag;
    int startIndex = 0, endIndex = 0;
    for (int i = 0; i < n; i++) {
        flag = false;
        for (int j = i+1; j < n + 1; j++)
        {
            long long dist = d[j] - d[i];
            if (dist >= l) {
                if (dist <= r) {
                    startIndex = i;
                    endIndex = j;
                    flag = true;
                }
                else {
                    break;
                }
            }
        }
        if (flag) {
            break;
        }
    }
    if (startIndex == endIndex) {
        cout << -1 << ' ' << -1 << endl;
        return 0;
    }
    cout << d[startIndex] << ' ' << d[endIndex] << endl;
    return 0;
}