#ifdef LOCAL
#define _GLIBCXX_DEBUG
#endif

#include <bits/stdc++.h>

/* ~~~~~ useful definitions ~~~~~ */
#define all(x) x.begin(), x.end()
#define mp make_pair
#define sz(x) (ll) x.size()
#define endl "\n"

/* ~~~~~ debug ~~~~~ */
#define printv(V) for (auto I : V) {cout << I << " ";} cout << endl;
#define debv(V) for (auto I : V) {cerr << I << " ";} cerr << endl;
#define deb(V) cerr << #V << " " << V << endl;
#define print2v(W) for (auto V : W) {printv(V)}

using namespace std;

/* ~~~~~ type definitions ~~~~~ */
using ll = long long;
using ld = long double;

/* ~~~~~ constants ~~~~~ */
const int INF = INT32_MAX;
const ll INFLL = INT64_MAX;
const ld EPS = 1e-6;
const ll MOD = 998244353;
const ld Pi = 3.141592653589793238462643383279;

/* ~~~~~~~~~~~~~~~ solution ~~~~~~~~~~~~~~~ */
#define int long long

int n;

signed main() {
#ifdef LOCAL
    freopen("inp.txt", "r", stdin);
    freopen("out.txt", "w", stdout);
    freopen("err.txt", "w", stderr);
    auto start_time = clock();
    cerr << setprecision(6) << fixed;
    cout << setprecision(12) << fixed;
#else
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout << setprecision(16) << fixed;
#endif

    cin >> n;
    int m;
    for (int i = 64; i > 0; --i) {
        long double p = i;
        int x = pow(n, 1/p);

        if (pow(x, i) == n) {\
            m = i;
            break;
        }
        if (pow(x + 1, i) == n) {\
            m = i;
            break;
        }
        if (pow(x - 1, i) == n) {\
            m = i;
            break;
        }
    }

    cout << 2 * m * m;

#ifdef LOCAL
    auto end_time = clock();
    cerr << "Execution time: " << (end_time - start_time) * (int) 1e3 / CLOCKS_PER_SEC << " ms\n";
#endif
}