def is_prime(num):
    if num < 2:
        return 0
    for i in range(2, int(num ** 0.5) + 1):
        if num % i == 0:
            return 0
    return 1
def non_prime_partitions(n, max_val=None):
    if max_val is None:
        max_val = n
    if n == 0:
        return [[]]
    partitions = []
    for i in range(1, min(n, max_val) + 1):
        if not is_prime(i):
            sub_partitions = non_prime_partitions(n - i, i)
            for sub_partition in sub_partitions:
                partitions.append([i] + sub_partition)
    return partitions
def print_partitions(partitions):
    for partition in partitions:
        print("+".join(sorted(map(str, partition))))
n=int(input())
print_partitions(non_prime_partitions(n))
