#include <iostream>
#include <string>
#include <vector>
#include <cmath>

std::vector<int> get_nums(const std::string& id)
{
	std::vector<int> nums;
	std::string num;
	for(auto cha : id){
		if(cha == ' '){
			nums.push_back(std::stoi(num));
			num = "";
		}
		else num += cha;
	}
	nums.push_back(std::stoi(num));
	return nums;
}

int biggest(std::vector<int>& vec){
	int mx(0);
	for(int val : vec)
		mx = std::max(mx, val);
	for(int i = vec.size() - 1; i >= 0; --i){
		if(mx == vec[i]) return i;
	}
	return mx;
}
void sort(std::vector<int>& vec){
	for(int i = 0; i < vec.size(); ++i){
		for(int j = i; j < vec.size(); ++j){
			if(vec[i] < vec[j]) std::swap(vec[i], vec[j]);
		}
	}
}

int main()
{
	std::vector<int> vec(1);
	int k;
	int q;
	std::string id;
	std::cin >> vec[0];
	std::cin >> k;
	std::cin >> q;
	std::vector<int> show(q);
	for(auto& val : show) std::cin >> val;
	
	
	for(int i = 0; i < k; ++i){
		int big = biggest(vec);
		if(vec[big] % 2 == 0){
			vec[big] /= 2;
			vec.insert(vec.begin() + big, vec[big]);
		}
		else{
			vec[big] /= 2;
			vec.insert(vec.begin() + big, vec[big]);
			vec[big] += 1;
		}
	}
	sort(vec);
	for(auto val : show){
		std::cout << vec[val - 1] << ' ';
	}
	return 0;
}