#include <iostream>
#include <string>
#include <vector>
#include <cmath>
#include <algorithm>

int comp (const void * a, const void * b)
{
  return ( *(unsigned long long*)b - *(unsigned long long*)a );
}

std::vector<unsigned long long> get_nums(const std::string& id)
{
	std::vector<unsigned long long> nums;
	std::string num;
	for(auto cha : id){
		if(cha == ' '){
			nums.push_back(std::stoi(num));
			num = "";
		}
		else num += cha;
	}
	nums.push_back(std::stoi(num));
	return nums;
}

unsigned long long biggest(std::vector<unsigned long long>& vec){
	unsigned long long mx(0);
	for(unsigned long long val : vec)
		mx = std::max(mx, val);
	for(unsigned long long i = vec.size() - 1; i >= 0; --i){
		if(mx == vec[i]) return i;
	}
	return mx;
}
void sort(std::vector<unsigned long long>& vec){
	for(unsigned long long i = 0; i < vec.size(); ++i){
		for(unsigned long long j = i; j < vec.size(); ++j){
			if(vec[i] < vec[j]) std::swap(vec[i], vec[j]);
		}
	}
}

int main()
{
	std::vector<unsigned long long> vec(1);
	unsigned long long k;
	unsigned long long q;
	std::string id;
	std::cin >> vec[0];
	std::cin >> k;
	std::cin >> q;
	std::vector<unsigned long long> show(q);
	for(auto& val : show) std::cin >> val;
	
	
	for(unsigned long long i = 0; i < k; ++i){
		unsigned long long big = biggest(vec);
		if(vec[big] % 2 == 0){
			vec[big] /= 2;
			vec.insert(vec.begin() + big, vec[big]);
		}
		else{
			vec[big] /= 2;
			vec.insert(vec.begin() + big, vec[big]);
			vec[big] += 1;
		}
	}
	std::qsort(reinterpret_cast<void*>(&vec[0]), vec.size(), sizeof(unsigned long long), comp);
	for(auto val : show){
		std::cout << vec[val - 1] << ' ';
	}
	return 0;
}