import math

def count_trivial_factors(n):
    sieve = [True] * (int(math.sqrt(n)) + 1)
    sieve[0] = False
    sieve[1] = False

    for i in range(2, int(math.sqrt(n)) + 1):
        if sieve[i]:
            for j in range(i * i, int(math.sqrt(n)) + 1, i):
                sieve[j] = False

    count = 0
    for i in range(2, int(math.sqrt(n)) + 1):
        if sieve[i]:
            if n % i == 0:
                while n % i == 0:
                    n //= i
                count += 1


    if n > 1:
        count += 1

    return count

print(count_trivial_factors(int(input())))