#include <bits/stdc++.h>

using namespace std;

using ll = long long;
using ull = unsigned long long;
using lll = __int128;

int main() {
    ios::sync_with_stdio(false);
    cin.tie(0);
    ll l, r;
    cin >> l >> r;
    int n;
    cin >> n;
    vector<int> trees(n);
    for (int i = 0; i < n; i++) {
        cin >> trees[i];
    }
    vector<ull> pref_sum(n + 1, 0);
    for (int i = 1; i < n + 1; i++) {
        pref_sum[i] = trees[i - 1] + pref_sum[i - 1];
    }
    int min_i = -1, min_j = -1;
    bool get_out = false;
    for (int i = 0; i < n; i++) {
        for (int j = 0; j < n + 1; j++) {
            if (pref_sum[j] - pref_sum[i] >= l && pref_sum[j] - pref_sum[i] <= r) {
                min_i = i;
                min_j = j;
                get_out = true;
            } else if (pref_sum[j] - pref_sum[i] > r) {
                break;
            }
        }
        if (get_out) {
            break;
        }
    }
    if (min_i == -1 && min_j == -1) {
        cout << min_i << " " << min_j << "\n";
    } else {
        cout << pref_sum[min_i] << " " << pref_sum[min_j] << "\n";
    }
}