#include <iostream>
#include <string>
#include <algorithm>
#include <cmath>
#include <vector>
#include <map>
#include <set>

using ll = long long;
using ld = long double;

using namespace std;

const ll inf = 1e18;

ll C(ll n, ll k) {
    ll first = (n-k);
    ll second = 1;
    ll pr1 = first;
    ll pr2 = second;
    while (first <= n) {
        pr1 *= first;
        pr2 *= second;
        ++first;
        ++second;
    }
    return first / second;
}

int main() {
    ios_base::sync_with_stdio(0);
    cout.tie(0);
    cin.tie(0);

    ll n;
    cin >> n;

    ll d = 2;
    int cnt = 0;
    bool flag = 0;
    while (n % d == 0) {
        n /= d;
        ++cnt;
        flag = 1;
    }

    while (d * d <= n && !flag) {
        while (n % d == 0) {
            n /= d;
            ++cnt;
            flag = 1;
        }
        if (flag) {
            break;
        }
    }

    vector<int> dp(2 * cnt + 1);
    dp[1] = 1;
    ll ans = 0;
    for (int i = 2; i < (2 * cnt + 1); ++i) {
        dp[i] = 2*C(i+cnt+1, i) - dp[i-1];
        ans += dp[i];
    }

    cout << ans << '\n';

}
