import sys
import math
import copy

input = sys.stdin.readline


def fg():
    return int(input())


def fgh():
    return [int(xx) for xx in input().split()]


def min_p(x):
    for i in range(2, int(math.sqrt(x)) + 1):
        if x % i == 0:
            return i
    return x


n = fg()
p1 = min_p(n)
k = 0
while n % p1 == 0:
    n //= p1
    k += 1


def get_ans(x, y, mx, my):
    if x == 0 and y == 0:
        return 1
    if x < mx or y < my:
        return 0
    res = 0
    for dx in range(mx, x + 1):
        for dy in range(my, y + 1):
            if dx + dy > 0:
                res += get_ans(x - dx, y - dy, dx, dy)
    return res

print(max(get_ans(k, k, 0, 0) - 1, 1))
