#include <iostream>
#include <vector>
#include <cmath>

bool is_simple(long long n) {
    long long i = 2;
    while (i * i <= n) {
        if (n % i == 0) {
            return true;
        }
        i++;
    }
    return false;
}

long long c(long long n, long long k) {
    long long res = 1;
    for (int i = 0; i < k; i++) {
        res *= (n - i);
    }
    for (int i = 1; i <= k; i++) {
        res /= i;
    }
    // std::cout << n << ' ' << k << ' ' << res << std::endl;
    return res;
}

int WinMain() {
    long long n;
    std::cin >> n;
    
    long long d = n;

    long long i = 2;
    long long k = 0;
    long long p = 0, q = 0;

    while (i <= d and (q == 0 or p == 0)) {
        if (d % i == 0) {
            if (p == 0) {
                p = i;
                while (d % i == 0) {
                    k++;
                    d /= i;
                }
            } else {
                q = i;
            }
        }
        i++;
    }

    long long res = (long long)std::pow(2, (long double)(2 * k - 1));
    std::cout << res << std::endl;

    return 0;
}