#include <iostream>
#include <cmath>
#include <vector>
using namespace std;



int main () {
    long long l, r;
    cin >> l >> r;
    int n;
    cin >> n;
    vector <int> a(n);
    bool skip = false;
    for (auto &elem: a) {
        cin >> elem;
        skip = elem <= r || skip;
    }
    if (skip == false) {
        cout << -1 << ' ' << -1 << endl;
        return 0;
    }
    vector <long long> b(n + 1);
    b[0] = 0;
    for (int i = 1; i <= n; i++) {
        b[i] = b[i - 1] + a[i - 1];
    }
    long long sum = 0;
    for (int i = 0; i < n; i++) {
        long long range = 0;
        sum += a[i];
        for (int j = i + 1; j <= n; j++) {
            range += a[j];
            if (range > r) break;
            //cout << range << ' ' << i << ' ' << j << endl;
            if (range >= l) {
                cout << sum << ' ' << range + sum << endl;
                return 0;
            }
        }
    }
    cout << -1 << ' ' << -1 << endl;
    return 0;
}